<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('agent_infos', function (Blueprint $table) {
            $table->comment('代理商');
            $table->increments('id');
            $table->unsignedBigInteger('user_id')->comment('用户编号');
            $table->unsignedBigInteger('info_record_id')->nullable()->comment('代理商信息记录编号');
            $table->unsignedBigInteger('real_auth_record_id')->nullable()->comment('代理商实名认证记录编号');
            $table->unsignedBigInteger('qual_record_id')->nullable()->comment('代理商资质认证记录编号');
            $table->string('state')->default('ENABLE')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('agent_infos');
    }
};
